Get a schema

Deprecated
View as Markdown
Gets information about API schema. You can use the `versionId` query parameter to get a schema published in an API version. You can use this API to do the following: - Get a schema's metadata. - Get all the files in a schema. This only returns the first file in the schema. The endpoint response contains a link to the next set of response results. - Get a schema's contents in multi-file or bundled format. **Note:** The `versionId` query parameter is a required parameter for API viewers.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
schemaIdstringRequired
The API schema's ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

versionIdstringOptional
The API's version ID. This is a required parameter for API viewers.
bundledbooleanOptionalDefaults to false
If true, return the schema in a bundled format.

Response

Successful Response
Get Schemaobject
Information about the schema.
OR
Get Bundled Schemaobject
Information about the schema.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error